Bug 87491 - New Port: databases/p5-exception-class-dbi
Summary: New Port: databases/p5-exception-class-dbi
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-10-15 21:00 UTC by Rod Taylor
Modified: 2005-10-21 19:51 UTC (History)
0 users

See Also:


Attachments
exception-class-dbi.shar (2.50 KB, text/plain)
2005-10-15 21:00 UTC, Rod Taylor
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rod Taylor 2005-10-15 21:00:27 UTC
This module offers a set of DBI-specific exception classes. They inherit from Exception::Class, the base class for all exception objects created by the Exception::Class module from the CPAN. Exception::Class::DBI itself offers a single class method, handler(), that returns a code reference appropriate for passing to the DBI HandleError attribute.

Essentially it allows try {} catch{} within perl for database errors. Handy for catching a specific SQLSTATE error and doing something to recover from it.
Comment 1 Edwin Groothuis freebsd_committer 2005-10-16 02:37:21 UTC
Class Changed
From-To: maintainer-update->change-request

new ports are change requests
Comment 2 Emanuel Haupt freebsd_committer 2005-10-21 19:08:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

I will take it.
Comment 3 Emanuel Haupt freebsd_committer 2005-10-21 19:50:35 UTC
State Changed
From-To: open->closed

Port was already added by sem@